#!/usr/bin/perl

#
# main page of route66 web based database manipulation tool
#
#   by anders brownworth - anders-route66@evantide.com
#

use Database;
use Web;

print "Content-type: text/html\n\n";

( $dbh, $version ) = database_open ();

if ( $version ne "" )  {
  print inject_vars ( "templates/index.inc", "version", $version );

}
else  {
  print inject_vars ( "templates/error.inc", "error", 
           "database error: no version number detected." );

}
