#!/usr/bin/perl

#
# insert tool for route66 web based database manipulation tool
#
#   by anders brownworth - anders-route66@evantide.com
#

use Database;
use Web;

print "Content-type: text/html\n\n";

( $dbh, $version ) = database_open ();

cgi_parse();

$artistid = database_get_artistid ( $dbh, $cgi{'artist'} );
if ( $artistid == "" )  {
  $artistid = database_put_artist ( $dbh, $cgi{'artist'} );
}

$albumid = database_get_albumid ( $dbh, $cgi{'album'} );
if ( $albumid == "" )  {
  $albumid = database_put_album ( $dbh, $cgi{'album'}, $artistid, $cgi{'year'} );
}

$genreid = database_get_genreid ( $dbh, $cgi{'genre'} );
if ( $genreid == "" )  {
  $genreid = database_put_genre ( $dbh, $cgi{'genre'} );
}

$filesystemid = 2;
$contributorid = 2;

$songid = database_put_song ( $dbh, .5, .5, 0, $cgi{'track'}, $cgi{'year'},
                              $cgi{'title'} );
$pathid = database_put_path ( $dbh, $filesystemid, $contributorid, 
                              $artistid, $songid, $albumid, $genreid,
                              80, $cgi{'path'} );

print "<html><script language=javascript>\n";
print "window.opener.location.href=\"search_paths.cgi?path=$cgi{'reload'}\";\n";
print "self.window.close();\n";
print "</script></html>\n";
