#!/usr/bin/perl

#
# show tool for route66 web based database manipulation tool
#
#   by anders brownworth - anders-route66@evantide.com
#

use Database;
use Web;

print "Content-type: text/html\n\n";

( $dbh, $version ) = database_open ();

cgi_parse();

if ( $cgi{'type'} eq "artists" )  {
  @items = database_get_all_artists ( $dbh );

}
elsif ( $cgi{'type'} eq "albums" )  {
  @items = database_get_all_albums ( $dbh );

}
elsif ( $cgi{'type'} eq "genres" )  {
  @items = database_get_all_genres ( $dbh );

}
else  {
  $html = "error: bad or missing type argument";

}

foreach $item ( sort @items )  {
  $encoded = $item;
  escape_url_comp ( $encoded );
  $html .= "<a href=\"javascript:openWindow('edit.cgi?type=$cgi{'type'}&name=$encoded')\;\">$item</a><br>\n";

}

print inject_vars ( "templates/show.inc",
		"html",		$html,
		"type",		$cgi{'type'} );
