#!/usr/bin/perl

#
# show like tool for route66 web based database manipulation tool
#
#   by anders brownworth - anders-route66@evantide.com
#

use Database;
use Web;

print "Content-type: text/html\n\n";

( $dbh, $version ) = database_open ();

cgi_parse();

if ( $cgi{'query'} ne "" )  {
  $cgi{'query'} =~ s/'//g;
  if ( $cgi{'type'} eq "songs" )  {
    $sql = "select song from songs where song like '$cgi{'query'}%'";

  }
  elsif ( $cgi{'type'} eq "artists" )  {
    $sql = "select artist from artists where artist like '$cgi{'query'}%'";

  }
  elsif ( $cgi{'type'} eq "albums" )  {
    $sql = "select album from albums where album like '$cgi{'query'}%'";

  }

  @items = database_raw_sql ( $dbh, $sql );
  $total = @items;

  if ( $total > 0 )  {
    $html = "<p><b>$total matches found</b></p>\n";
    foreach $item ( sort @items )  {
      $escaped = $item;
      escape_url_comp ( $escaped );
      $html .= "<a href=\"javascript:openWindow('edit.cgi?type=$cgi{'type'}&name=$escaped')\;\">$item</a><br>\n";

    }

    print inject_vars ( "templates/show_like.inc", 
		"query",	$cgi{'query'},
		"type",		$cgi{'type'},
		"html",		$html );

  }
  else  {
    print inject_vars ( "templates/show_like.inc",
		"query",	$cgi{'query'},
		"type",		$cgi{'type'},
		"html",		"no matches found." );

  }

}
else {
  print inject_vars ( "templates/show_like.inc",
                "query",        "",
                "type",         $cgi{'type'},
                "html",         "please enter a phrase to search" );

}
